Subject: Re: [PATCH] IPv6: Allow nested IPv6 encapsulations on same node

From: "David S. Miller" <[email-masked]>
Date: Wed, 27 Aug 2003 04:20:36 -0700

On Wed, 27 Aug 2003 14:26:42 +0300 (EEST)
Ville Nuorvala <[email-masked]> wrote:

> this incremental patch allows nested IPv6 encapsulations on the same node
> by allocating separate sockets for all ip6_tnl devices. Please apply!

If you didn't use sockets to send the packets out, you wouldn't
have this problem to begin with.

Why do you need to use sockets?  Just send the packets out normally.